## org.eclipse.wst.validation
Interface IMutableValidator

    public interface IMutableValidator

A validator that has fields that can be updated.

The following procedure is used to change a Validator's settings.

1. An IMutableValidator is retrieved.
2. The IMutableValidator is changed.
3. The IMutableValidator is "activated".

The methods `ValidationFramework#getProjectSettings(org.eclipse.core.resources.IProject)` and `ValidationFramework.getWorkspaceSettings()` can be used to retrieve IMutableValidator's.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Method Summary
`java.lang.String` `getId()` Answer the validator's id.
`java.lang.String` `getName()` Answer the validator's name.
`java.lang.String` `getValidatorClassname()` Answer the validator's class name.
`boolean` `isBuildValidation()` Answer if the validator is enabled for build based validation.
`boolean` `isManualValidation()` Answer if the validator is enabled for manual based validation.
`void` `setBuildValidation(boolean build)` Set whether the validator should be enabled for build based validation.
`void` `setManualValidation(boolean manual)` Set whether the validator should be enabled for manual based validation.

Method Detail

### getId

    java.lang.String getId()

  Answer the validator's id.

  Returns:

### getName

    java.lang.String getName()

  Answer the validator's name.

  Returns:

### getValidatorClassname

    java.lang.String getValidatorClassname()

  Answer the validator's class name.

  Returns:

### isBuildValidation

    boolean isBuildValidation()

  Answer if the validator is enabled for build based validation.

### isManualValidation

    boolean isManualValidation()

  Answer if the validator is enabled for manual based validation.

### setBuildValidation

    void setBuildValidation(boolean build)

  Set whether the validator should be enabled for build based validation.

### setManualValidation

    void setManualValidation(boolean manual)

  Set whether the validator should be enabled for manual based validation.